Package com.smartgwt.client.util.workflow

# Class FetchRelatedDataTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.FetchRelatedDataTask

All Implemented Interfaces:
  `HasHandlers`

public class FetchRelatedDataTask extends ComponentTask
Fetch data related to a record in another component.

See Also:
  - `ListGrid.fetchRelatedData(com.smartgwt.client.widgets.grid.ListGridRecord, com.smartgwt.client.widgets.Canvas)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FetchRelatedDataTask()`
  `FetchRelatedDataTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `DataSource`
  `getDataSource()`
  The DataSource used with `recordSourceComponent` to pull related data.
  `String`
  `getDataSourceAsString()`
  The DataSource used with `recordSourceComponent` to pull related data.
  `static FetchRelatedDataTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getRecordSourceComponent()`
  Component to pull record for locating related data.
  `FetchRelatedDataTask`
  `setDataSource(DataSource dataSource)`
  The DataSource used with `recordSourceComponent` to pull related data.
  `FetchRelatedDataTask`
  `setDataSource(String dataSource)`
  The DataSource used with `recordSourceComponent` to pull related data.
  `FetchRelatedDataTask`
  `setRecordSourceComponent(String recordSourceComponent)`
  Component to pull record for locating related data.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FetchRelatedDataTask

    public FetchRelatedDataTask()

  - ### FetchRelatedDataTask

    public FetchRelatedDataTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FetchRelatedDataTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ComponentTask`

  - ### setDataSource

    public FetchRelatedDataTask setDataSource(DataSource dataSource) throws IllegalStateException
    The DataSource used with `recordSourceComponent` to pull related data. If not specified, `recordSourceComponent` will be used to obtain the schema.
    Parameters:
      `dataSource` - New dataSource value. Default value is null
    Returns:
      `FetchRelatedDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDataSource

    public DataSource getDataSource()
    The DataSource used with `recordSourceComponent` to pull related data. If not specified, `recordSourceComponent` will be used to obtain the schema.
    Returns:
      Current dataSource value. Default value is null

  - ### setDataSource

    public FetchRelatedDataTask setDataSource(String dataSource) throws IllegalStateException
    The DataSource used with `recordSourceComponent` to pull related data. If not specified, `recordSourceComponent` will be used to obtain the schema.
    Parameters:
      `dataSource` - New dataSource value. Default value is null
    Returns:
      `FetchRelatedDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getDataSourceAsString

    public String getDataSourceAsString()
    The DataSource used with `recordSourceComponent` to pull related data. If not specified, `recordSourceComponent` will be used to obtain the schema.
    Returns:
      Current dataSource value. Default value is null

  - ### setRecordSourceComponent

    public FetchRelatedDataTask setRecordSourceComponent(String recordSourceComponent) throws IllegalStateException
    Component to pull record for locating related data.
    Parameters:
      `recordSourceComponent` - New recordSourceComponent value. Default value is null
    Returns:
      `FetchRelatedDataTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `GlobalId`

  - ### getRecordSourceComponent

    public String getRecordSourceComponent()
    Component to pull record for locating related data.
    Returns:
      Current recordSourceComponent value. Default value is null
    See Also:
      - `GlobalId`